package com.muyu.common.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @Author：yang
 * @Package：com.muyu.common.domain 中间表
 * @Project：cloud-property
 * @name：AssetImpower
 * @Date：2024/9/3 22:21
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName("asset_authorization")
public class AssetAuthorization {

    /**
     * 中间表主键
     */
    @TableId(type = IdType.AUTO)
    private Integer id;
    /**
     * 表ID
     */
    private Integer tableId;
    /**
     * 部门ID
     */
    private Integer deptId;
    /**
     * 数据库ID
     */
    private Integer basicId;
    /**
     * 用户ID
     */
    private Integer userId;
}
