package com.muyu.common.domain;

import com.muyu.common.domain.enums.DataType;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * @Author：作者姓名
 * @Package：com.muyu.etl.property.domain
 * @Project：cloud-etl-property
 * @name：DataValue
 * @Date：2024/8/29 18:33
 * K T L V（值）
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@SuperBuilder
public class DataValue {

    //字段名
    private String key;

    //注解
    private String label;

    //类型
    private DataType type;

    /**
     * 值
     */
    private Object value;



}
