package com.muyu.common.domain.data.base;


/**
 * @Author：
 * @Package：com.muyu.etl.property.base
 * @Project：cloud-etl-property
 * @name：BaseQueryHandler
 * @Date：2024/8/29 16:01
 */
public class BaseQueryHandler
{

    private static final ThreadLocal<BaseQuery> BASE_QUERY_THREAD_LOCAL=new ThreadLocal<>();

    public static void set(BaseQuery baseQuery){
        BASE_QUERY_THREAD_LOCAL.set(baseQuery);
    }

    public static<T> T  get(){
        return (T)BASE_QUERY_THREAD_LOCAL.get();
    }


}
