package com.muyu.server;

import com.muyu.common.security.annotation.EnableMyFeignClients;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;

/**
 * @Author：蓬叁
 * @Package：com.muyu.server.integration
 * @Project：cloud-integration
 * @name：Integration
 * @Date：2024/8/19 下午9:56
 */
@EnableMyFeignClients
@SpringBootApplication
public class IntegrationApplication {
    public static void main(String[] args) {
        SpringApplication.run(IntegrationApplication.class, args);
    }
}
